System Requirements

Visual Composer has been developed to work with WordPress. You can check if your WordPress hosting meets system requirements for Visual Composer under the System Status in the Visual Composer Dashboard Settings.

Server

Visual Composer server requirements are aligned with official WordPress requirements:

  • Recommended PHP 7.2 or higher;
  • MySQL version 5.6 or higher (you can also run WordPress on MariaDB 10.0 or higher);
  • HTTPS support (this has become mandatory in terms of good SEO).

For the Visual Composer Hub access, ensure that the following settings are in place:

  • wp-content/uploads folder is writable (find more information in WP Codex);
  • The memory limit in php.ini is set to memory_limit = 256M;
  • Max execution time in php.ini is set to max_execution_time = 90.

Browsers

For the best experience, we recommend you to keep your browser updated at all times. Visual Composer Website Builder’s editor supports all latest versions of major browsers:

  • Safari;
  • Edge;
  • Chrome;
  • Firefox;
  • iOS Safari.

Pages built with Visual Composer will be displayed as-is in all major browsers.

Note: Visual Composer does not support older browsers like Internet Explorer or iOS Safari 9 and below.

Devices

Visual Composer Website Builder editor supports all major devices. This means that you are able to create and edit pages with the following devices:

  • Mobile;
  • Tablet;
  • Laptop;
  • Desktop.

Note: You should use the latest browser version on your device in order to work with Visual Composer Website Builder. Please refer to the previous section of this document for more information.